Subject: Re: linux-next: manual merge of the block tree with the mmc-fixes tree

From: Jens Axboe <[email-masked]>
Date: Fri, 9 Jul 2021 08:27:11 -0600

On 7/9/21 2:34 AM, Ulf Hansson wrote:
> On Fri, 9 Jul 2021 at 02:32, Stephen Rothwell <[email-masked]> wrote:
>>
>> Hi all,
>>
>> Today's linux-next merge of the block tree got a conflict in:
>>
>>   drivers/mmc/core/block.c
>>
>> between commit:
>>
>>   5c0777665b3e ("mmc: core: Use kref in place of struct mmc_blk_data::usage")
>>
>> from the mmc-fixes tree and commits:
>>
>>   249cda3325e0 ("mmc: remove an extra blk_{get,put}_queue pair")
>>   607d968a5769 ("mmc: switch to blk_mq_alloc_disk")
>>
>> from the block tree.
>>
>> I fixed it up (see below) and can carry the fix as necessary. This
>> is now fixed as far as linux-next is concerned, but any non trivial
>> conflicts should be mentioned to your upstream maintainer when your tree
>> is submitted for merging.  You may also want to consider cooperating
>> with the maintainer of the conflicting tree to minimise any particularly
>> complex conflicts.
>>
>> --
>> Cheers,
>> Stephen Rothwell
> 
> Stephen, thanks for the heads up!
> 
> Jens, I noticed that you sent the PR with the mmc commits as of
> yesterday. Assuming Linus will pull it before rc1, I will rebase and
> fix up the conflict from my fixes branch on top. No action needed from
> your side.

I don't have any 5.15 code in for-next until after the merge window, so
it's all fixes that are going into this release until then. These commits
have been queued up for a few weeks, they are just part of a later push
to Linus (that was sent out yesterday).

-- 
Jens Axboe